Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Out_Object_Argument_T< S_ptr, S_out > Class Template Reference

Template class for INOUT object argument. More...

`#include <Object_Argument_T.h>`

Inheritance diagram for TAO::Out_Object_Argument_T< S_ptr, S_out >:

[legend]
Collaboration diagram for TAO::Out_Object_Argument_T< S_ptr, S_out >:

[legend]
List of all members.

## Public Methods
| Out_Object_Argument_T (S_out &x)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S_out | arg (void)
## Private Attributes
S_ptr & | x_

## Detailed Description

### template<typename S_ptr, typename S_out>
class TAO::Out_Object_Argument_T< S_ptr, S_out >

Template class for INOUT object argument.

## Constructor & Destructor Documentation

template<typename S_ptr, typename S_out>
ACE_INLINE TAO::Out_Object_Argument_T< S_ptr, S_out >::Out_Object_Argument_T | ( | S_out & | x | ) |

## Member Function Documentation

template<typename S_ptr, typename S_out>
ACE_INLINE S_out TAO::Out_Object_Argument_T< S_ptr, S_out >::arg | ( | void |  | ) |

template<typename S_ptr, typename S_out>
CORBA::Boolean TAO::Out_Object_Argument_T< S_ptr, S_out >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr, typename S_out>
void TAO::Out_Object_Argument_T< S_ptr, S_out >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S_ptr, typename S_out>
S_ptr& TAO::Out_Object_Argument_T< S_ptr, S_out >::x_`[private]`

The documentation for this class was generated from the following files:

- Object_Argument_T.h
- Object_Argument_T.cpp
- Object_Argument_T.inl